Bug 732349 - Sync EntityUtilities.buildFilterFieldsQuery() and ExtendedTopicList.EXTENDED_RESTRICTIONS
Summary: Sync EntityUtilities.buildFilterFieldsQuery() and ExtendedTopicList.EXTENDED_...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: PressGang CCMS
Classification: Community
Component: Web-UI
Version: 1.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Matthew Casperson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-22 06:01 UTC by Matthew Casperson
Modified: 2014-08-04 22:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-07 20:32:57 UTC


Attachments (Terms of Use)

Description Matthew Casperson 2011-08-22 06:01:50 UTC
20110822-1536 /CustomSearchTopics.xhtml

Comment 1 Matthew Casperson 2011-10-19 02:45:23 UTC
Function has been moved to Filter.buildQuery()

The filterFieldQueryBlock variable has initial support for topic id list

Comment 2 Matthew Casperson 2011-11-07 20:32:57 UTC
Done, but will have to see if there is any reason to use the restrictions array instead of a SQL query considering the EntityList classes won't be used for the REST interface.


Note You need to log in before you can comment on or make changes to this bug.